Eclipse Draw2d 3.3

## org.eclipse.draw2d
Class InputEvent

    java.lang.Object
      java.util.EventObject
          org.eclipse.draw2d.InputEvent

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  KeyEvent, MouseEvent

    public abstract class InputEvent

extends EventObject

The base class for Draw2d events.

See Also:
  Serialized Form

Field Summary
`static int` `ALT`
`static int` `ANY_BUTTON` A bitwise OR'ing of `BUTTON1`, `BUTTON2`, `BUTTON3`, `BUTTON4` and `BUTTON5`
`static int` `BUTTON1`
`static int` `BUTTON2`
`static int` `BUTTON3`
`static int` `BUTTON4`
`static int` `BUTTON5`
`static int` `CONTROL`
`static int` `SHIFT`

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`InputEvent(EventDispatcher dispatcher, IFigure source, int state)` Constructs a new InputEvent.

Method Summary
`void` `consume()` Marks this event as consumed so that it doesn't get passed on to other listeners.
`int` `getState()` Returns the event statemask, which is a bitwise OR'ing of any of the following: `ALT`, `CONTROL`, `SHIFT`, `BUTTON1`, `BUTTON2`, `BUTTON3`, `BUTTON4` and `BUTTON5`.
`boolean` `isConsumed()`

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALT

    public static final int ALT

See Also:
  `SWT#ALT`

### CONTROL

    public static final int CONTROL

See Also:
  `SWT#CONTROL`

### SHIFT

    public static final int SHIFT

See Also:
  `SWT#SHIFT`

### BUTTON1

    public static final int BUTTON1

See Also:
  `SWT#BUTTON1`

### BUTTON2

    public static final int BUTTON2

See Also:
  `SWT#BUTTON2`

### BUTTON3

    public static final int BUTTON3

See Also:
  `SWT#BUTTON3`

### BUTTON4

    public static final int BUTTON4

See Also:
  `SWT#BUTTON4`

### BUTTON5

    public static final int BUTTON5

See Also:
  `SWT#BUTTON5`

### ANY_BUTTON

    public static final int ANY_BUTTON

  A bitwise OR'ing of `BUTTON1`, `BUTTON2`, `BUTTON3`, `BUTTON4` and `BUTTON5`

Constructor Detail

### InputEvent

    public InputEvent(EventDispatcher dispatcher,
                      IFigure source,
                      int state)

  Constructs a new InputEvent.

  Parameters:
    `dispatcher` - the event dispatcher
    `source` - the source of the event
    `state` - the state

Method Detail

### consume

    public void consume()

  Marks this event as consumed so that it doesn't get passed on to other listeners.

### getState

    public int getState()

  Returns the event statemask, which is a bitwise OR'ing of any of the following: `ALT`, `CONTROL`, `SHIFT`, `BUTTON1`, `BUTTON2`, `BUTTON3`, `BUTTON4` and `BUTTON5`.

  Returns:
    the state

### isConsumed

    public boolean isConsumed()

  Returns:
    whether this event has been consumed.

Eclipse Draw2d 3.3

Copyright (c) IBM Corp. and others 2000, 2007. All Rights Reserved.